
# mdSilo

A local-first mind silo for storing ideas, thought, knowledge with a powerful writing tool.
built with React and [Tauri](https://github.com/tauri-apps). 

[Demo](https://mdsilo.com/)    
[Discord](https://discord.gg/EXYSEHRTFt)  
[Download](https://github.com/danloh/mdSilo-app/releases) 


## Features

- All-In-One Editor: Markdown, WYSIWYG, MindMap... 
- Markdown and extensions: Diagram, Table, Math/Chemical, Code block(Highlight)...   
- Slash commands, Hovering toolbar, hotkeys and more toolkits...   
- Chronicle view, Graph view, Task view... 
- Full-text search; 
- Dark and Light Mode
- Available for Windows, macOS, Linux, 
- On top of local plain-text files, no registration required, no privacy issue. 

## Tech Stack

- Editor Framework: [ProseMirror](https://prosemirror.net/)      
- Frontend Framework: [React](https://reactjs.org/)  
- Cross-platform:  [Tauri](https://tauri.studio/) 

## Road map 

- Markdown
  - [X] Style: **Bold**, *Italic*, ~~Strikethrough~~, `Inline Code`
  - [X] Link: [mdSilo](https://mdsilo.com) and <https://mdsilo.com>, 
  - [X] Image: `![]()` and local image 
  - [X] Headings and TOC, 
  - [X] List item: ordered list, bullet list, check list and nested list
  - [X] Table
  - [X] Blockquotes  
  - [X] Horizontal Rules 

- Markdown extension
  - [X] more style: `==mark==`, `__underline__`, `1^sup^`
  - [X] Highlight code block  
  - [X] Math and Chemical Equation: inline `$\LaTeX$` and block `$$\LaTeX$$` 
  - [X] Notice block: info, warning, tips 
  - [X] Wikilink: `[[]]` 
  - [X] Hashtag: `#tag#` 
  - [X] Diagram: mermaid, echarts, music notation... 
  - [X] Embed web page: YouTube, Figma... 
  - [X] Attach local PDF file 

- Writing, formatting and drawing 
  - [X] WYSIWYG, Markdown, MindMap and Split view 
  - [X] Slash commands  
  - [X] Hovering toolbar
  - [X] hotkeys 
  - [ ] Drawing  

- View
  - [X] Graph
  - [X] Task
  - [X] Chronicle 

- Organize writings
  - [X] Folder management 
  - [X] Backlinks 
  - [X] Recent history 
  - [ ] Block reference  
  - [ ] Flashcards 
  - [ ] Export as PDF,HTML, ... 
  - [ ] Version control: git integration 

- Cross-Platform 
  - [x] Windows, macOS, Linux. 
  - [ ] Web(WIP)
  - [ ] Mobile: iOS/iPadOS and Android(soon...)

## Live Demo

Here we go: [Live demo](https://mdsilo.com/playground/) 
